Subject: RE: [Speermint] Updated Draft: SPEERMINT Peering Architecture

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Tue, 23 May 2006 14:13:26 -0400

I don't see anything diametrically opposed between what I suggested and what you are suggesting.  

I did not say this needs to be SIP WG or ATIS or IPSphere or any particular group's SIP profile.  

I am suggesting is that we don't need yet another group to create a new SIP RFC list.

I am suggesting that to make Speermint work more generally useful, it should provide a pointer mechanism to any such group's work as your hearts desire, depending on what federation you pray to.

If there is to be an IETF-approved SIP profile, I think it should first be decided if that is the turf of the Speermint or the SIP WG.

Those last two statements are at the heart of my concerns.

Mike

> -----Original Message-----
> From: Francois D. Menard [mailto:[email-masked]] 
> Sent: Tuesday, May 23, 2006 1:38 PM
> To: Michael Hammer (mhammer); 'Khan, Sohel Q [CTO]'; 'David 
> Meyer'; [email-masked]
> Subject: RE: [Speermint] Updated Draft: SPEERMINT Peering Architecture
> 
> Sorry to be blunt,
> 
> But this is precisely what I would like to avoid to do, which 
> is to depend on ATIS to specify something that could be into 
> an IETF RFC.
> 
> I still support & defend my proposal amendment.
> 
> F. 
> 
> 
> --
> François D. Ménard
> Chargé de projet
> Xit télécom inc.
> 1350 rue Royale #800
> Trois-Rivières, QC, G9A 4J4
> Canada
> [email-masked]
> Tel: (819) 374-2556 ext. 268
> Fax: (819) 374-0395
> Cell: (819) 692-1383
>  
> 
> -----Original Message-----
> From: Michael Hammer (mhammer) [mailto:[email-masked]]
> Sent: 23 mai 2006 11:13
> To: Khan, Sohel Q [CTO]; Francois D. Menard; David Meyer; 
> [email-masked]
> Subject: RE: [Speermint] Updated Draft: SPEERMINT Peering Architecture
> 
> Sohel,
> 
> I was suspecting that this would be an off-shoot of 
> Rosenberg's Hitchiker's Guide.  
> 
> Note that Section 3 is Core SIP specifications.
> 
> Mike
>  
> 
> > -----Original Message-----
> > From: Khan, Sohel Q [CTO] [mailto:[email-masked]]
> > Sent: Tuesday, May 23, 2006 10:53 AM
> > To: Michael Hammer (mhammer); Francois D. Menard; David Meyer; 
> > [email-masked]
> > Subject: RE: [Speermint] Updated Draft: SPEERMINT Peering 
> Architecture
> > 
> > Mike,
> > 
> > Do you know the name of the SIP WG draft defining SIP 
> > interoperability? I cannot find it in SIP WG web.
> > 
> > Sohel
> > 
> > 
> > -----Original Message-----
> > From: Michael Hammer (mhammer) [mailto:[email-masked]]
> > Sent: Thursday, May 18, 2006 2:08 PM
> > To: Francois D. Menard; Khan, Sohel Q [CTO]; David Meyer; 
> > [email-masked]
> > Subject: RE: [Speermint] Updated Draft: SPEERMINT Peering 
> Architecture
> > 
> > Francois,
> > 
> > I understand the reasoning, but any mention of the PSTN 
> tends to raise 
> > red flags.  It also seems to duplicate other efforts inside IETF and
> > out:
> > 
> > The SIP WG is trying to compile a document defining 
> interoperability 
> > for SIP.  I see that as one form of federation.  Such an 
> RFC (when it
> > appears) could be cited.
> > 
> > ATIS is planning an ANSI standard that could also be cited.  
> > That may influence the CRTC.
> > 
> > I think all we need is for Speermint to have a mechanisms 
> to identify 
> > such reference points.  It's a measure of indirection.  I 
> don't think 
> > we need to compile those (dare I
> > say) profiles in Speermint.
> > 
> > Mike
> > 
> > 
> > > -----Original Message-----
> > > From: Francois D. Menard [mailto:[email-masked]]
> > > Sent: Wednesday, May 17, 2006 5:10 PM
> > > To: 'Khan, Sohel Q [CTO]'; 'David Meyer'; [email-masked]
> > > Subject: RE: [Speermint] Updated Draft: SPEERMINT Peering
> > Architecture
> > > 
> > > I would, because ultimately, the minimum level of 
> interoperability 
> > > will be (at least in Canada) mandated by the regulator (here, the 
> > > CRTC). So therefore, the baseline comparison is what goes
> > on today in
> > > the SS7 PSTN.
> > > 
> > > F.
> > > --
> > > François D. Ménard
> > > Chargé de projet
> > > Xit télécom inc.
> > > 1350 rue Royale #800
> > > Trois-Rivières, QC, G9A 4J4
> > > Canada
> > > [email-masked]
> > > Tel: (819) 374-2556 ext. 268
> > > Fax: (819) 374-0395
> > > Cell: (819) 692-1383
> > >  
> > > 
> > > -----Original Message-----
> > > From: Khan, Sohel Q [CTO] [mailto:[email-masked]]
> > > Sent: 17 mai 2006 16:50
> > > To: Francois D. Menard; David Meyer; [email-masked]
> > > Subject: RE: [Speermint] Updated Draft: SPEERMINT Peering
> > Architecture
> > > 
> > > Franois,
> > > 
> > > Thanks for the input. Question: is it necessary to mention
> > > SS7 specifically?
> > > 
> > > 
> > > -----Original Message-----
> > > From: Francois D. Menard [mailto:[email-masked]]
> > > Sent: Wednesday, May 17, 2006 2:37 PM
> > > To: Khan, Sohel Q [CTO]; 'David Meyer'; [email-masked]
> > > Subject: RE: [Speermint] Updated Draft: SPEERMINT Peering
> > Architecture
> > > 
> > > Just completed reading 02 and I have the following proposal:
> > >  
> > > 1) With regards to SIP interoperability in section 4.3, I
> > would like
> > > to mention that in Canada, we have agreed at the CISC NTWG
> > > (http://www.crtc.gc.ca/cisc/eng/cisf3d0.htm) that that the
> > following
> > > RFCs are sufficient to implement the equivalement of the
> > CCS7 minimum
> > > message
> > > set:
> > >  
> > > http://www.crtc.gc.ca/cisc/COMMITTE/N-docs/NTRE035B.doc
> > >  
> > > SIP +
> > > http://www.ietf.org/rfc/rfc3323.txt
> > > http://www.ietf.org/rfc/rfc3325.txt
> > >  
> > > I therefore propose that we state the following in the
> > document under
> > > SIP interoperability in section 4.3:
> > > 
> > > It is expected that the level of SIP interoperability
> > achieved between
> > > two service providers will arise out of the outcome of 
> market-based 
> > > bilateral negociations.
> > > 
> > > However, it is expected that a level of interoperability
> > equivalent to
> > > the
> > > SS7 minimum message set of the conventional PSTN will
> > require service
> > > prociders to implement SF that SHALL BE compliant with
> > both, RFC 3323
> > > (A Privacy Mechanism for the Session Initiation Protocol)
> > and RFC 3325
> > > (Private Extensions to the Session Initiation Protocol (SIP) for 
> > > Asserted Identity within Trusted Networks).
> > > 
> > > -=Francois=-
> > > --
> > > François D. Ménard
> > > Projet manager
> > > Xittel telecommunications inc.
> > > 1350 Royale #800
> > > Trois-Rivieres, QC, G9A 4J4
> > > Canada
> > > [email-masked]
> > > Tel: (819) 374-2556 ext. 268
> > > Fax: (819) 374-0395
> > > Cell: (819) 692-1383
> > >  
> > > ________________________________
> > > 
> > > From: Khan, Sohel Q [CTO] [mailto:[email-masked]]
> > > Sent: 17 mai 2006 15:12
> > > To: David Meyer; [email-masked]
> > > Subject: [Speermint] Updated Draft: SPEERMINT Peering Architecture
> > > 
> > > 
> > > 
> > > 
> > > We submitted the updated SPEERMINT Peering Architecture draft. 
> > > This update includes many of your input from the last 
> IETF meeting. 
> > > 
> > > Please review and provide input in the mailing list
> > > 
> > > 
> > > http://www.ietf.org/internet-drafts/draft-khan-ip-serv-peer-ar
> > > ch-02.txt
> > > <http://www.ietf.org/internet-drafts/draft-khan-ip-serv-peer-a
> > > rch-02.txt>
> > > 
> > > 
> > > 
> > > 
> > > 
> > > 
> > > _______________________________________________
> > > Speermint mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/speermint
> > > 
> > 
> 

_______________________________________________
Speermint mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speermint

---

From: "Francois D. Menard" <[email-masked]>
Date: Tue, 23 May 2006 14:49:34 -0400

> I don't see anything diametrically opposed between what I suggested and
what you are suggesting.  

I would be satisfied with this:

SPEERMINT compliance requires replication of the functionality available in
the SS7 minumum message set which can be done by SIP, 3323, 3325.  Better
than SS7 mms functionlality made possible with ATIS, IP Sphere or other sip
profiles will also be considered as SPEERMIT compliant.

> If there is to be an IETF-approved SIP profile, I think it should first be
decided if that is the turf of the Speermint or the SIP WG.
Those last two statements are at the heart of my concerns.

SPEERMINT will be completely toothless as an RFC if it just states,
compliance with SPEERMINT can be achieved by compliance with non-IETF
standards.

F.

---

From: "Brian Rosen" <[email-masked]>
Date: Tue, 23 May 2006 15:04:31 -0400

By far the largest mistake EVER made by the IETF in the development of SIP
was to allow SIP to be extended to imitate the existing PSTN.  If we ever
were to start again, the golden rule would be DON'T IMITATE THE PSTN, and
the corollary would be "Just because the PSTN does it that way DOES NOT MEAN
it's a good idea".

So, the very idea that "replication of functionality in the SS7 minimum
message set" is the definition of what we need to do makes me want to puke.

No, and a pox on your houses for even thinking that.

While we're going to start with "basic call", we need to define those call
features that must cross domain boundaries.  Most of them have existing SIP
messaging (in sip-examples, for instance).  We need to make sure those
features work across the boundary.  That has nothing whatsoever to do with
an SS7 message.  The mms might give us clues on what features might be
interesting to put on our list, but I'll bet we end up with a lot less of
them, and a bunch of stuff not in SS7 (or C7); inter-domain presence, for
example.

Brian

-----Original Message-----
From: Francois D. Menard [mailto:[email-masked]] 
Sent: Tuesday, May 23, 2006 2:50 PM
To: 'Michael Hammer (mhammer)'; 'Khan, Sohel Q [CTO]'; 'David Meyer';
[email-masked]

F.

---

From: "Francois D. Menard" <[email-masked]>
Date: Tue, 23 May 2006 15:26:42 -0400

Brian Rosen wrote:
> Most of them have existing SIP messaging (in sip-examples, for instance).

I agree

> We need to make sure those features work across the boundary.  

I agree

> That has nothing whatsoever to do with an SS7 message.  

I said that the methods embodied in the SS7 minimum message set were
recognized in Canada as being implementable in SIP with basis SIP, RFC 3323
and RFC3325.  

> The mms might give us clues on what features might be interesting to put
on our list, but I'll bet we end up with a lot less of them, and a bunch of
stuff not in SS7 (or C7); inter-domain presence, for example.

That's fine.

I just want the standard to state that the minimal SPEERMINT compliant
implementation will require compliance with basic SIP, 3323 and 3325.

F.

---

From: Andrew Newton <[email-masked]>
Date: Tue, 23 May 2006 16:41:34 -0400

> message set" is the definition of what we need to do makes me want to puke.

I agree totally with Brian.  We should not try to replicate the PSTN 
over IP.

> No, and a pox on your houses for even thinking that.

If that's what it takes... :)

-andy

---

From: "Richard Shockey" <[email-masked]>
Date: Wed, 24 May 2006 01:42:18 -0400

> No, and a pox on your houses for even thinking that.

I'm thinking of extending my NO SS7 NO TCAP hats to entire clothing line
...NO PSTN

---

From: David Meyer <[email-masked]>
Date: Thu, 25 May 2006 07:47:22 -0700

> I agree totally with Brian.  We should not try to replicate the PSTN 

	FWIW, that's an explict non-goal for speermint.

	--dmm